Get a specific service account - SuperAI Flows
Get a specific service account
cURL
curl --request GET \
--url https://flows.super.ai/api/service-accounts/{service_account_id} \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'
Example Python Code
import requests
url = "https://flows.super.ai/api/service-accounts/{service_account_id}"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)
Example JavaScript Code
const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://flows.super.ai/api/service-accounts/{service_account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Example PHP Code


Response Model
200 Response Example
{
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"modified_by": "<string>",
"name": "API Documentation",
"status": "active",
"updated_at": "2023-11-07T05:31:56Z",
"description": "Service account for API documentation generation",
"organization_id": "550e8400-e29b-41d4-a716-446655440000"
}
Authorizations
X-API-Key
- Type: string
- Location: header
- Required: Yes
Include your API key in the X-API-Key header as: X-API-Key YOUR_API_KEY
Authorization
- Type: string
- Location: header
- Required: Yes
Include your access token in the Authorization header as: Bearer YOUR_ACCESS_TOKEN
Path Parameters
service_account_id
- Type: string
- Required: Yes
- Description: UUID of the service account to retrieve